function h = condentropy(vec1,vec2)
//calculate the entropy of a variable or the conditional entropy 
// Calling Sequence
// h = condentropy(vec1,vec2)
// Description
// calculate the entropy of a variable (vec1) or the conditional entropy of (vec1) given (vec2)
//
// Examples
//  a=[1 2 1 2 1]';b=[2 1 2 1 1]';
//  printf('mutualinfo(a,b)= %f \n',mutualinfo(a,b));
//  printf('condentropy(a) - condentropy(a,b) = %f - %f = %f\n',...
//          condentropy(a),condentropy(a,b),condentropy(a)-condentropy(a,b));
// Authors
// Hanchuan Peng, April/2002
//

//=========================================================
//
//This is a prog in the MutualInfo 0.9 package written by 
// Hanchuan Peng.
//
//Disclaimer: The author of program is Hanchuan Peng
//      at <penghanchuan@yahoo.com> and <phc@cbmv.jhu.edu>.
//
//The CopyRight is reserved by the author.
//
//Last modification: April/19/2002
//
//========================================================
//
 [nargout,nargin]=argn(0);
if nargin<1,

  error('Usage: h = condentropy(vec1,<vec2>).');
  h = -1;

elseif nargin<2,

  [p1] = estpa(vec1);
  h = estentropy(p1);

else
  
  [p12, p1, p2] = estpab(vec1,vec2);
  h = estcondentropy(p12,p2);

end;


endfunction